Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 445736 - dev-libs/weston-1.2.0 - Wayland reference compositor
Summary: dev-libs/weston-1.2.0 - Wayland reference compositor
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://wayland.freedesktop.org/
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on: 439578 445494
Blocks:
  Show dependency tree
 
Reported: 2012-12-03 05:29 UTC by jannis
Modified: 2016-05-21 12:17 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
weston-1.0.2.ebuild (weston-1.0.2.ebuild,1.41 KB, text/plain)
2012-12-03 05:29 UTC, jannis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jannis 2012-12-03 05:29:50 UTC
Created attachment 331274 [details]
weston-1.0.2.ebuild

Please add weston to the tree. x11-overlay uses dev-libs as category.

Attached ebuild is taken from x11-overlay and tested. works as -1.0.2.ebuild and -9999.ebuild
Comment 1 David Heidelberg (okias) 2013-06-09 18:03:42 UTC
weston-1.1.1.ebuild is in, is this issue fixed for you? :)
Comment 2 Thomas Capricelli 2013-06-09 19:19:29 UTC
it is for me :)
Comment 3 Johannes Huber gentoo-dev 2013-06-17 21:32:53 UTC
Add kde in cc here, weston is needed for (experimental) wayland support in KDE SC 4.11, which will be released in starting august. 

>=kde-base/kwin-4.9.80 has already a wayland use flag and builds successfully against it. So the next puzzle piece is weston and adjusting the kde start script.
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-06-17 21:36:07 UTC
@kde: if you outline your plans on adding wayland enabled KDE to the tree, we might coordinate and get weston in tree around the same time.
Comment 5 Johannes Huber gentoo-dev 2013-06-17 21:56:59 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #4)
> @kde: if you outline your plans on adding wayland enabled KDE to the tree,
> we might coordinate and get weston in tree around the same time.

It would be fine to have weston in tree, lets say in mid july. That we have enough time to make the changes on the start kde script. I guess many people are interested to play with the experimental wayland support.
Comment 6 Johannes Huber gentoo-dev 2013-07-10 21:15:16 UTC
> It would be fine to have weston in tree, lets say in mid july. That we have
> enough time to make the changes on the start kde script. I guess many people
> are interested to play with the experimental wayland support.

What are the blockers for the tree move? Do you need any help with it?
Comment 7 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-07-13 15:03:01 UTC
+  13 Jul 2013; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> +metadata.xml,
+  +weston-1.2.0.ebuild:
+  Initial import, bug #445736.